#ifndef DATAMANAGER_H
#define DATAMANAGER_H

#include <QObject>
#include "SqlCore.h"
#include "SqlGenerate.h"
class  DataManager:public QObject
{
    Q_OBJECT
private:
    DataManager(QObject * parent = NULL);
      ~DataManager();
public:
    static DataManager& instance();
    void init();
    void initTable();
private:
    SqlCore m_sqlcore;

};

#endif // DATAMANAGER_H
